import '../../domain/entities/app_settings.dart';
import '../../domain/repositories/settings_repository.dart';
import '../datasources/settings_datasource.dart';

class SettingsRepositoryImpl implements SettingsRepository {
  final SettingsDatasource _datasource;

  SettingsRepositoryImpl(this._datasource);

  @override
  Future<AppSettings> loadSettings() async {
    return _datasource.loadSettings();
  }

  @override
  Future<void> saveSettings(AppSettings settings) async {
    await _datasource.saveSettings(settings);
  }

  @override
  Future<void> resetSettings() async {
    await _datasource.clearSettings();
  }
}
